2019-12-07 07:41 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005525Spring engineGeneralpublic2017-04-22 17:24
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005525: 103.0.1-747 Audio library error crash.
DescriptionHere is an out of memory crash preceded by much complaining from AL https://github.com/ZeroK-RTS/CrashReports/issues/763
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0017452

Kloot (developer)

rts/System/Platform/Win/CrashHandler.cpp:185
rts/System/Platform/Win/CrashHandler.cpp:347
rts/System/FileSystem/Archives/IArchive.cpp:42
rts/System/FileSystem/VFSHandler.cpp:222
rts/System/FileSystem/FileHandler.cpp:100
rts/System/FileSystem/FileHandler.cpp:119
rts/System/FileSystem/FileHandler.cpp:42
rts/System/Sound/OpenAL/SoundSource.cpp:275
rts/System/Sound/OpenAL/AudioChannel.cpp:193

~0017455

Kloot (developer)

Last edited: 2017-04-22 17:24

View 4 revisions

I assume that the OpenAL errors are due to a corrupted download, so chobby's music player widget repeatedly tries and fails to load a new track ("Starting Track" occurs almost 400 times in the infolog, which has also been truncated) until it causes Spring to run out of memory since each ZK .ogg weighs in at around 6MB.

+Notes

-Issue History
Date Modified Username Field Change
2017-04-16 04:01 Google_Frog New Issue
2017-04-16 14:58 Kloot Note Added: 0017452
2017-04-16 16:43 Kloot Note Added: 0017455
2017-04-16 16:43 Kloot Note Edited: 0017455 View Revisions
2017-04-16 16:44 Kloot Note Edited: 0017455 View Revisions
2017-04-22 17:24 Kloot Note Edited: 0017455 View Revisions
2017-04-22 17:24 Kloot Assigned To => Kloot
2017-04-22 17:24 Kloot Status new => resolved
2017-04-22 17:24 Kloot Resolution open => fixed
2017-04-22 17:24 Kloot Fixed in Version => 103.0 +git
+Issue History